* {
  box-sizing: border-box;
  font-family: 'Fira Sans', sans-serif;
}

body {
  margin: 0;
}

h1 {
  font-size: 3rem;
  text-align: center;
}

h2 {
  font-size: 1.1rem;
  text-align: center;
}

h3 {
  font-size: 0.95rem;
  /* text-align: center; */
}

a {
  color: white;
  font-size: 1.2rem;
  text-decoration: none;
}

p {
  font-size: 1.2rem;
  text-align: justify;
}

.dotted-hr {
  border: dotted 6px white;
  border-bottom: none;
  margin: 20px auto;
  width: 120px;
}

[class*='col-'] {
  float: left;
  padding: 10px;
}

/* for mobile */
[class*='col-'] {
  width: 100%;
}

/* navbar design and starts from here */

.navbar {
  background-color: darkgreen;
  padding: 1% 7%;
  text-align: center;
}

.navbar h1 {
  color: white;
  margin: 0;
  padding: 10px;
}

.navbar-menu {
  display: flex;
  flex-direction: column;
  text-transform: capitalize;
}

.navbar-menu a {
  background-color: #0c6168;
  border-radius: 10px;
  margin: 7px 0px;
  padding: 10px;
  font: 15px Arial, sans-serif;
}

.navbar-menu a:hover {
  background-color: gray;
}

.navbar::after {
  content: '';
  display: table;
  clear: both;
}
/* navbar desgin ends here */
/* header starts here */
.header {
  padding: 4rem 0;
  height: 80vh;
  background-attachment: fixed;
  background-size: cover;
}
.banner {
  width: 100%;
  height: 100%;
  flex-direction: column;
}
.banner_title {
  font-size: 2rem;
  color: greenyellow;
  padding: 1rem;
  border-radius: var(--border-radious);
}
/* header ends here */
/* profile design start from here */
.profile {
  padding: 130px 10px;
  position: relative;
  text-align: center;
}

.profile-desc h1 {
  font-family: 'Satisfy', cursive;
  font-size: 4rem;
}
.profile-desc p {
  color: gray;
  margin: 0 auto 20px auto;
  text-align: center;
  width: 90%;
}

.profile .bottom-weather-icon {
  position: absolute;
  left: 60px;
  bottom: 10px;
  transition: transform 2s;
}

.profile .bottom-weather-icon:hover {
  transform: rotate(360deg);
}

.profile::after {
  content: '';
  display: table;
  clear: both;
}
/* profile design ends here */

/* about me design starts here */

.about-me {
  background-color: #39a4ac;
  padding: 1% 7%;
  color: white;
  text-align: center;
  font-family: 'Montserrat', sans-serif;
}
.aboutme-image img {
  border: 5px solid white;
  border-radius: 25%;
  /* height: 130px;
  width: 0px; */
}
.about-me p {
  text-align: center;
}

.about-me a {
  font-size: 1.2rem;
}

.cv-button {
  background-color: #052d2f;
  color: white;
  border: none;
  border-radius: 12px;
  padding: 15px;
  font-size: 1rem;
  cursor: pointer;
  text-align: center;
  margin: 10px;
}
.about-me::after {
  clear: both;
  display: table;
  content: '';
}
/* about me design ends here */

/* professional-experience start here */

.professional-experience {
  padding: 1% 0%;
}
.professional-experience .card {
  background-color: #a39e9e;
  border-radius: 5px;
  padding: 10px;
  transition: 0.3s;
  /* height: 750px; */
}

.card:hover {
  box-shadow: 0 4px 8px 5px black;
}

.card-icon {
  text-align: center;
}
.card-icon img {
  margin-top: 20px;
  width: 100px;
}

.rounded-img {
  border: 5px solid white;
  border-radius: 50%;
  padding: 10px;
}

.card-title h2 {
  background-color: #616161;
  color: white;
  padding: 9px;
  text-align: center;
}

/* skills design starts here */
.skills-container {
  padding-right: 45px;
}

.skills-container li {
  list-style: none;
  font-weight: bolder;
  margin: 30px 10px;
  position: relative;
  text-transform: uppercase;
}

.skills-container li::before {
  content: '';
  position: absolute;
  top: calc(100% + 5px);
  left: 0;

  width: 100%;
  height: 10px;
  background-color: rgb(86, 86, 153, 0.5);
  border-radius: 1000px;
}

.skills-container li::after {
  content: '';
  position: absolute;
  top: calc(100% + 5px);
  left: 0;

  width: 0;
  height: 10px;
  background-color: rgb(86, 86, 153, 1);
  border-radius: 1000px;

  animation-duration: 3s;
  animation-delay: 2s;
  animation-timing-function: linear;
  animation-fill-mode: forwards;
  animation-iteration-count: infinite;
}

.skills-container li.html::after {
  animation-name: html;
}

@keyframes html {
  to {
    width: 90%;
  }
}

.skills-container li.css::after {
  animation-name: css;
}

@keyframes css {
  to {
    width: 85%;
  }
}

.skills-container li.bootstrap::after {
  animation-name: bs;
}

@keyframes bs {
  to {
    width: 90%;
  }
}
.skills-container li.js::after {
  animation-name: js;
}

@keyframes js {
  to {
    width: 85%;
  }
}

.skills-container li.jquery::after {
  animation-name: jq;
}

@keyframes jq {
  to {
    width: 90%;
  }
}
.skills-container li.node::after {
  animation-name: node;
}

@keyframes node {
  to {
    width: 85%;
  }
}

.skills-container li.express::after {
  animation-name: express;
}

@keyframes express {
  to {
    width: 80%;
  }
}

.skills-container li.git::after {
  animation-name: github;
}

@keyframes github {
  to {
    width: 90%;
  }
}
.skills-container li.react::after {
  animation-name: react;
}

@keyframes react {
  to {
    width: 85%;
  }
}

/* skills design ends here */

.professional-experience::after {
  clear: both;
  display: table;
  content: '';
}
/* professional-experience ends here */

/* achievement-contact starts from here */

.achievement-contact {
  padding: 1% 7%;
  background-color: #39a4ac;
  color: white;
}

.contact {
  text-align: center;
}

.contact input,
textarea {
  width: 100%;
  padding: 10px;
  font-size: 1rem;
  text-align: center;
  border: none;
  border-radius: 5px;
  resize: none;
}

.contact button {
  border: none;
  border-radius: 12px;
  background-color: #052d2f;
  color: white;
  cursor: pointer;
  padding: 15px;
  margin: 10px;
  width: 100px;
  /* font-size: 1rem;
  align-items: center; */
}

.contact-links {
  text-align: center;
}

.media-buttons .btn {
  border: none;
  border-radius: 25px;
  cursor: pointer;
  font-size: 32px;
  padding: 5px;
  margin: 10px;
  width: 50px;
  background-color: white;
}

.btn:hover {
  background-color: gray;
}

.achievement-contact::after {
  clear: both;
  display: table;
  content: '';
}

/* achievement-contact ends here */

/* footer starts from here */
.footer {
  background-color: black;
  color: white;
  padding: 10px;
  text-align: center;
  font-size: 0.8rem;
}

.footer .text {
  text-align: center;
  font-size: 1.5rem;
}

.footer-menu a {
  display: block;
  margin: 15px 0;
  font-size: 1rem;
}

.footer-menu a:hover {
  color: gray;
}

.footer::after {
  display: table;
  content: '';
  clear: both;
}
/* footer ends here */
